package com.lightinit.hsdataplatformresdir.entity;

import java.math.BigDecimal;
import java.util.Date;

public class OrderGoods {
    private Long id;

    private Long orderId;

    private Long resourceAuthId;

    private String resourceType;

    private String resourceName;

    private Integer quantity;

    private Long publishSettingId;

    private String chargeMethod;

    private String packageName;

    private BigDecimal packagePrice;

    private Long packageMonths;

    private BigDecimal selfCost;

    private Long buyTimesLimit;

    private Long useTimesLimit;

    private Long totalTimes;

    private Long useTimes;

    private Long restTimes;

    private Date effectiveDate;

    private Date expiriedDate;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    private String description;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getResourceAuthId() {
        return resourceAuthId;
    }

    public void setResourceAuthId(Long resourceAuthId) {
        this.resourceAuthId = resourceAuthId;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType == null ? null : resourceType.trim();
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName == null ? null : resourceName.trim();
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public Long getPublishSettingId() {
        return publishSettingId;
    }

    public void setPublishSettingId(Long publishSettingId) {
        this.publishSettingId = publishSettingId;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod == null ? null : chargeMethod.trim();
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName == null ? null : packageName.trim();
    }

    public BigDecimal getPackagePrice() {
        return packagePrice;
    }

    public void setPackagePrice(BigDecimal packagePrice) {
        this.packagePrice = packagePrice;
    }

    public Long getPackageMonths() {
        return packageMonths;
    }

    public void setPackageMonths(Long packageMonths) {
        this.packageMonths = packageMonths;
    }

    public BigDecimal getSelfCost() {
        return selfCost;
    }

    public void setSelfCost(BigDecimal selfCost) {
        this.selfCost = selfCost;
    }

    public Long getBuyTimesLimit() {
        return buyTimesLimit;
    }

    public void setBuyTimesLimit(Long buyTimesLimit) {
        this.buyTimesLimit = buyTimesLimit;
    }

    public Long getUseTimesLimit() {
        return useTimesLimit;
    }

    public void setUseTimesLimit(Long useTimesLimit) {
        this.useTimesLimit = useTimesLimit;
    }

    public Long getTotalTimes() {
        return totalTimes;
    }

    public void setTotalTimes(Long totalTimes) {
        this.totalTimes = totalTimes;
    }

    public Long getUseTimes() {
        return useTimes;
    }

    public void setUseTimes(Long useTimes) {
        this.useTimes = useTimes;
    }

    public Long getRestTimes() {
        return restTimes;
    }

    public void setRestTimes(Long restTimes) {
        this.restTimes = restTimes;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public Date getExpiriedDate() {
        return expiriedDate;
    }

    public void setExpiriedDate(Date expiriedDate) {
        this.expiriedDate = expiriedDate;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }
}